#
# spec file for package python-jabberpy
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pypi_name jabberpy

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-%{pypi_name}
Version:        0.5
Release:        1.24
Summary:        Python xmlstream and jabber IM protocol libs
License:        LGPL-2.1+
Group:          Development/Libraries
Url:            http://jabberpy.sf.net
Source0:        http://unc.dl.sourceforge.net/sourceforge/jabberpy/%{pypi_name}-%{version}-0.tar.gz
Source1:        COPYING
Patch0:         jabberpy-no-init.patch
Patch1:         jabberpy-clean-sockets.patch
Patch2:         jabberpy-ipv6.patch
Patch3:         fix-hashlib-warning.dif
Patch4:         jabberpy-proxy-read.patch
Patch5:         jabberpy-python3.patch
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  libnl3-devel
BuildRequires:  pkgconfig
BuildRequires:  python-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
jabber.py is a Python module for the jabber instant messaging protocol.
jabber.py deals with the xml parsing and socket code, leaving the
programmer to concentrate on developing quality jabber based
applications with Python.

%prep
%setup -n %{pypi_name}-%{version}-0 -q
chmod -x examples/*.py
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1
%patch4 -p1
%patch5 -p1
cp %{S:1} .

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install

%files %{python_files}
%defattr(-,root,root,-)
%doc CREDITS MANIFEST README COPYING
%{python_sitelib}/

%changelog
* Thu Oct 26 2017 mc@suse.com
- rename fix-package.dif to jabberpy-no-init.patch
- fix usage on python3
  * Add: jabberpy-python3.patch
- fix IPv6
  * Add: jabberpy-ipv6.patch
- fix proxy-read
  * Add: jabberpy-proxy-read.patch
* Wed Oct 18 2017 mantel@suse.de
- add python3 support
* Tue Sep  2 2014 ro@suse.de
- sanitize release line in specfile
* Tue Feb 18 2014 mc@suse.de
- add COPYING file
- add python dir to filelist
- build noarch package
* Thu Feb 13 2014 mc@suse.de
- new format for License tag
* Wed Mar  2 2011 mc@suse.de
- fix sha module deprecation warning (bnc#675482)
* Tue Feb  8 2011 ma@novell.com
- fix specfile
* Wed Feb  2 2011 mc@suse.de
- Provide jabberpy
* Tue Feb  1 2011 mc@suse.de
- fix build for RH
* Thu Dec  9 2010 mc@suse.de
- initial release
